0

After downloading Master PDF Editor 4 for Linux from the https://code-industry.net website (as a tar.gz) and unarchiving it into /opt, it gives an error when attempting to run it:

./masterpdfeditor4: error while loading shared libraries: libQtSvg.so.4: cannot open shared object file: No such file or directory

How can this be solved?

0

After searching the web, I found how to install the shared library by installing the package libqt4-svg. However, subsequently running masterpdfeditor4 caused a segfault core dump. So, I installed some other KDE dependencies and then it launched fine.

(I just did sudo apt-get install konsole, but there is likely a way to only install the dependencies it actually needs)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.